
files = {
    '/etc/ntfy/server.yml': {
        'content_type': 'mako',
        'needs': {
            'pkg_apt:ntfy',
        },
        'triggers': {
            'svc_systemd:ntfy:restart',
        },
    },
}

directories = {
    '/opt/ntfy': {},
    '/var/lib/ntfy': {
        'owner': 'ntfy',
        'group': 'ntfy',
    },
    '/var/cache/ntfy': {
        'owner': 'ntfy',
        'group': 'ntfy',
    },
    '/var/opt/ntfy': {
        'owner': 'ntfy',
        'group': 'ntfy',
    },
}

svc_systemd = {
    'ntfy': {
        'needs': {
            'file:/etc/ntfy/server.yml',
            'pkg_apt:ntfy',
        },
    },
}

users = {
    'ntfy': {
        'home': '/opt/ntfy',
    },
}
